<template>
	<view class="activity">
		<!-- <image @click.stop="navToDetailPage" src="https://img.caimei365.com/group1/M00/03/9A/Cmis216Zf8GAb_UqABE6NiwUUZs004.jpg" mode="widthFix"></image> -->
	   <web-view :webview-styles="webviewStyles" :src="activityPath"></web-view>
	</view>
</template>

<script>
	export default {
	    data() {
	        return {
	            webviewStyles: {
	                progress: {
	                    color: '#FF3333'
	                }
	            },
				productID:'',
				activityPath:'',
				
	        }
	    },
		onLoad(option) {
			this.activityPath = option.link
		},
		methods:{
			navToDetailPage() {//跳转商品详情页
				this.$api.navigateTo(`/pages/goods/product?id=${this.productID}`)
			},
		}
	}
</script>
	
<style lang="scss">
	.activity{
		width: 100%;
		height: auto;
		image{
			width: 100%;
			height: auto;
		}
	}
</style>
